﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

//! 
//! The Test namespace
//!
namespace DoxyTest
{
	/// <summary>
	/// This base appears twice.
	/// </summary>
	class Base
	{
		/// <summary>
		/// Just a function.
		/// </summary>
		/// <returns>42</returns>
		protected static int Constant()
		{
			return 42;
		}
	}

	/// <summary>
	/// First part of a partial class definition.
	/// </summary>
	partial class Program: Base
	{
		/// <summary>
		/// A function
		/// </summary>
		/// <param name="args">its arguments</param>
		static void Main(string[] args)
		{
		}
	}
}

namespace DoxyTest
{
	/// <summary>
	/// Second part of a partial class definition.
	/// </summary>
	partial class Program : Base
	{
		/// <summary>
		/// Another function.
		/// </summary>
		/// <returns>43</returns>
		static int OneMore()
		{
			return Constant() + 1;
		}
	}
}
